Subject: bug#19626: 25.0.50; eshell: extended directory syntax ("...") does not complete

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 25 Aug 2021 13:19:42 +0200

"Michalis V." <[email-masked]> writes:

> i cannot reproduce this in 28.0.50. Basically what i did was
>
> mkdir ...
>
> then repeat the steps above. Eshell autocompletes .../ fine, even adding
> another similar directory will bring up the dialog:

I think eshell has an "extended directory" concept where "..." is
supposed to expand to (I think) all parent directories?  So there isn't
supposed to be any directory literally called "...".

I think.  But I'm not overly familiar with eshell.  Let's see...  Yup:

(defun eshell-expand-multiple-dots (filename)
  "Convert `...' to `../..', `....' to `../../..', etc..

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no